Subject: Re: [PATCH 21/33] ipv4: add ip_sock_set_mtu_discover

From: Christoph Hellwig <[email-masked]>
Date: Thu, 14 May 2020 08:26:22 +0200

On Wed, May 13, 2020 at 02:17:41PM +0100, David Howells wrote:
> Christoph Hellwig <[email-masked]> wrote:
> 
> > +		ip_sock_set_mtu_discover(conn->params.local->socket->sk,
> > +				IP_PMTUDISC_DONT);
> 
> Um... The socket in question could be an AF_INET6 socket, not an AF_INET4
> socket - I presume it will work in that case.  If so:

Yes, the implementation of that sockopt, including the inet_sock
structure where these options are set is shared between ipv4 and ipv6.